part of forestvpn_api.api;

class Preference {
  
  Location inboundLocation = null;
  
  Location outboundLocation = null;
  Preference();

  @override
  String toString() {
    return 'Preference[inboundLocation=$inboundLocation, outboundLocation=$outboundLocation, ]';
  }

  Preference.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    inboundLocation = (json['inbound_location'] == null) ?
      null :
      Location.fromJson(json['inbound_location']);
    outboundLocation = (json['outbound_location'] == null) ?
      null :
      Location.fromJson(json['outbound_location']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (inboundLocation != null)
      json['inbound_location'] = inboundLocation;
    if (outboundLocation != null)
      json['outbound_location'] = outboundLocation;
    return json;
  }

  static List<Preference> listFromJson(List<dynamic> json) {
    return json == null ? List<Preference>() : json.map((value) => Preference.fromJson(value)).toList();
  }

  static Map<String, Preference> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Preference>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Preference.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Preference-objects as value to a dart map
  static Map<String, List<Preference>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Preference>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Preference.listFromJson(value);
       });
     }
     return map;
  }
}

