part of forestvpn_api.api;

class PreferenceUpdateRequest {
  
  String inboundLocationId = null;
  
  String outboundLocationId = null;
  PreferenceUpdateRequest();

  @override
  String toString() {
    return 'PreferenceUpdateRequest[inboundLocationId=$inboundLocationId, outboundLocationId=$outboundLocationId, ]';
  }

  PreferenceUpdateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    inboundLocationId = json['inbound_location_id'];
    outboundLocationId = json['outbound_location_id'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
      json['inbound_location_id'] = inboundLocationId;
      json['outbound_location_id'] = outboundLocationId;
    return json;
  }

  static List<PreferenceUpdateRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<PreferenceUpdateRequest>() : json.map((value) => PreferenceUpdateRequest.fromJson(value)).toList();
  }

  static Map<String, PreferenceUpdateRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PreferenceUpdateRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PreferenceUpdateRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PreferenceUpdateRequest-objects as value to a dart map
  static Map<String, List<PreferenceUpdateRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PreferenceUpdateRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PreferenceUpdateRequest.listFromJson(value);
       });
     }
     return map;
  }
}

