import 'package:forestvpn_api/api.dart';
import 'package:test/test.dart';

// tests for AppleStorePendingRenewalInfo
void main() {
    var instance = new AppleStorePendingRenewalInfo();

  group('test AppleStorePendingRenewalInfo', () {
    // The current renewal preference for the auto-renewable subscription. The value for this key corresponds to the productIdentifier property of the product that the customer’s subscription renews. This field is only present if the user downgrades or crossgrades to a subscription of a different duration for the subsequent subscription period.
    // String autoRenewProductId (default value: null)
    test('to test the property `autoRenewProductId`', () async {
      // TODO
    });

    // The current renewal status for the auto-renewable subscription. See https://developer.apple.com/documentation/appstorereceipts/auto_renew_status for more information.
    // String autoRenewStatus (default value: null)
    test('to test the property `autoRenewStatus`', () async {
      // TODO
    });

    // The reason a subscription expired. This field is only present for a receipt that contains an expired auto-renewable subscription. https://developer.apple.com/documentation/appstorereceipts/expiration_intent Possible Values  1: The customer voluntarily canceled their subscription. 2: Billing error; for example, the customer's payment information was no longer valid. 3: The customer did not agree to a recent price increase. 4: The product was not available for purchase at the time of renewal. 5: Unknown error. 
    // String expirationIntent (default value: null)
    test('to test the property `expirationIntent`', () async {
      // TODO
    });

    // The time at which the grace period for subscription renewals expires, in a date-time format similar to the ISO 8601.
    // DateTime gracePeriodExpiresDate (default value: null)
    test('to test the property `gracePeriodExpiresDate`', () async {
      // TODO
    });

    // A flag that indicates Apple is attempting to renew an expired subscription automatically. This field is only present if an auto-renewable subscription is in the billing retry state. See https://developer.apple.com/documentation/appstorereceipts/is_in_billing_retry_period for more information.
    // String isInBillingRetryPeriod (default value: null)
    test('to test the property `isInBillingRetryPeriod`', () async {
      // TODO
    });

    // The transaction identifier of the original purchase.
    // String originalTransactionId (default value: null)
    test('to test the property `originalTransactionId`', () async {
      // TODO
    });

    // The price consent status for a subscription price increase. This field is only present if the customer was notified of the price increase. The default value is \"0\" and changes to \"1\" if the customer consents.
    // String priceConsentStatus (default value: null)
    test('to test the property `priceConsentStatus`', () async {
      // TODO
    });

    // The unique identifier of the product purchased. You provide this value when creating the product in App Store Connect, and it corresponds to the productIdentifier property of the SKPayment object stored in the transaction's payment property.
    // String productId (default value: null)
    test('to test the property `productId`', () async {
      // TODO
    });


  });

}
