# forestvpn_api.model.AppleStoreUnifiedReceipt

## Load the model package
```dart
import 'package:forestvpn_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**environment** | **String** | The environment for which the receipt was generated. | [optional] [default to null]
**latestReceipt** | **String** | The latest Base64-encoded app receipt. | [optional] [default to null]
**latestReceiptInfo** | [**List&lt;AppleStoreLatestReceiptInfo&gt;**](AppleStoreLatestReceiptInfo.md) | The JSON representation of the value in latest_receipt. Note that this field is an array in the receipt but a single object in server-to-server notifications. | [optional] [default to []]
**pendingRenewalInfo** | [**List&lt;AppleStorePendingRenewalInfo&gt;**](AppleStorePendingRenewalInfo.md) | An array where each element contains the pending renewal information for each auto-renewable subscription identified in product_id. The contents of this array are identical to those in responseBody.Pending_renewal_info in the verifyReciept endpoint response for receipt validation. | [optional] [default to []]
**status** | **int** | The status code, where 0 indicates that the notification is valid. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


