part of forestvpn_api.api;

class Lookup {
  
  String name = null;
  
  int expires = null;
  
  String class_ = null;
  
  String type = null;
  
  String value = null;
  Lookup();

  @override
  String toString() {
    return 'Lookup[name=$name, expires=$expires, class_=$class_, type=$type, value=$value, ]';
  }

  Lookup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    expires = json['expires'];
    class_ = json['class'];
    type = json['type'];
    value = json['value'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (expires != null)
      json['expires'] = expires;
    if (class_ != null)
      json['class'] = class_;
    if (type != null)
      json['type'] = type;
    if (value != null)
      json['value'] = value;
    return json;
  }

  static List<Lookup> listFromJson(List<dynamic> json) {
    return json == null ? List<Lookup>() : json.map((value) => Lookup.fromJson(value)).toList();
  }

  static Map<String, Lookup> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Lookup>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Lookup.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Lookup-objects as value to a dart map
  static Map<String, List<Lookup>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Lookup>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Lookup.listFromJson(value);
       });
     }
     return map;
  }
}

