part of forestvpn_api.api;

class LookupRequest {
  
  String name = null;
  
  String type = "a";
  //enum typeEnum {  any,  a,  };{
  LookupRequest();

  @override
  String toString() {
    return 'LookupRequest[name=$name, type=$type, ]';
  }

  LookupRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    type = json['type'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (type != null)
      json['type'] = type;
    return json;
  }

  static List<LookupRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<LookupRequest>() : json.map((value) => LookupRequest.fromJson(value)).toList();
  }

  static Map<String, LookupRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LookupRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LookupRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LookupRequest-objects as value to a dart map
  static Map<String, List<LookupRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LookupRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LookupRequest.listFromJson(value);
       });
     }
     return map;
  }
}

