part of forestvpn_api.api;

class UsageTrafficUpdateRequest {
  
  String principal = null;
  
  int transmit = null;
  
  int receive = null;
  
  int lastHandshakeTime = null;
  
  int dateTime = null;
  UsageTrafficUpdateRequest();

  @override
  String toString() {
    return 'UsageTrafficUpdateRequest[principal=$principal, transmit=$transmit, receive=$receive, lastHandshakeTime=$lastHandshakeTime, dateTime=$dateTime, ]';
  }

  UsageTrafficUpdateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    principal = json['principal'];
    transmit = json['transmit'];
    receive = json['receive'];
    lastHandshakeTime = json['last_handshake_time'];
    dateTime = json['date_time'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (principal != null)
      json['principal'] = principal;
    if (transmit != null)
      json['transmit'] = transmit;
    if (receive != null)
      json['receive'] = receive;
    if (lastHandshakeTime != null)
      json['last_handshake_time'] = lastHandshakeTime;
    if (dateTime != null)
      json['date_time'] = dateTime;
    return json;
  }

  static List<UsageTrafficUpdateRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<UsageTrafficUpdateRequest>() : json.map((value) => UsageTrafficUpdateRequest.fromJson(value)).toList();
  }

  static Map<String, UsageTrafficUpdateRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UsageTrafficUpdateRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UsageTrafficUpdateRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UsageTrafficUpdateRequest-objects as value to a dart map
  static Map<String, List<UsageTrafficUpdateRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UsageTrafficUpdateRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UsageTrafficUpdateRequest.listFromJson(value);
       });
     }
     return map;
  }
}

