import 'package:forestvpn_api/api.dart';
import 'package:test/test.dart';

// tests for AppleStoreLatestReceiptInfo
void main() {
    var instance = new AppleStoreLatestReceiptInfo();

  group('test AppleStoreLatestReceiptInfo', () {
    // The time Apple customer support canceled a transaction, in a date-time format similar to the ISO 8601. This field is only present for refunded transactions.
    // DateTime cancellationDate (default value: null)
    test('to test the property `cancellationDate`', () async {
      // TODO
    });

    // The reason for a refunded transaction. When a customer cancels a transaction, the App Store gives them a refund and provides a value for this key. A value of “1” indicates that the customer canceled their transaction due to an actual or perceived issue within your app. A value of “0” indicates that the transaction was canceled for another reason; for example, if the customer made the purchase accidentally.
    // String cancellationReason (default value: null)
    test('to test the property `cancellationReason`', () async {
      // TODO
    });

    // The time a subscription expires or when it will renew, in a date-time format similar to the ISO 8601.
    // DateTime expiresDate (default value: null)
    test('to test the property `expiresDate`', () async {
      // TODO
    });

    // An indicator of whether an auto-renewable subscription is in the introductory price period. See https://developer.apple.com/documentation/appstorereceipts/is_in_intro_offer_period for more information.
    // String isInIntroOfferPeriod (default value: null)
    test('to test the property `isInIntroOfferPeriod`', () async {
      // TODO
    });

    // An indicator of whether a subscription is in the free trial period. See https://developer.apple.com/documentation/appstorereceipts/is_trial_period for more information.
    // String isTrialPeriod (default value: null)
    test('to test the property `isTrialPeriod`', () async {
      // TODO
    });

    // An indicator that a subscription has been canceled due to an upgrade. This field is only present for upgrade transactions.
    // String isUpgraded (default value: null)
    test('to test the property `isUpgraded`', () async {
      // TODO
    });

    // The time of the original app purchase, in a date-time format similar to ISO 8601.
    // DateTime originalPurchaseDate (default value: null)
    test('to test the property `originalPurchaseDate`', () async {
      // TODO
    });

    // The transaction identifier of the original purchase. See https://developer.apple.com/documentation/appstorereceipts/original_transaction_id for more information.
    // String originalTransactionId (default value: null)
    test('to test the property `originalTransactionId`', () async {
      // TODO
    });

    // The unique identifier of the product purchased. You provide this value when creating the product in App Store Connect, and it corresponds to the productIdentifier property of the SKPayment object stored in the transaction's payment property.
    // String productId (default value: null)
    test('to test the property `productId`', () async {
      // TODO
    });

    // The identifier of the subscription offer redeemed by the user. See https://developer.apple.com/documentation/appstorereceipts/promotional_offer_id for more information.
    // String promotionalOfferId (default value: null)
    test('to test the property `promotionalOfferId`', () async {
      // TODO
    });

    // The time the App Store charged the user's account for a purchased or restored product, or the time the App Store charged the user’s account for a subscription purchase or renewal after a lapse, in a date-time format similar to ISO 8601.
    // DateTime purchaseDate (default value: null)
    test('to test the property `purchaseDate`', () async {
      // TODO
    });

    // The number of consumable products purchased. This value corresponds to the quantity property of the SKPayment object stored in the transaction's payment property. The value is usually “1” unless modified with a mutable payment. The maximum value is 10.
    // String quantity (default value: null)
    test('to test the property `quantity`', () async {
      // TODO
    });

    // The identifier of the subscription group to which the subscription belongs. The value for this field is identical to the https://developer.apple.com/documentation/storekit/skproduct/2981047-subscriptiongroupidentifier property in SKProduct.
    // String subscriptionGroupIdentifier (default value: null)
    test('to test the property `subscriptionGroupIdentifier`', () async {
      // TODO
    });

    // A unique identifier for a transaction such as a purchase, restore, or renewal. See https://developer.apple.com/documentation/appstorereceipts/transaction_id for more information.
    // String transactionId (default value: null)
    test('to test the property `transactionId`', () async {
      // TODO
    });

    // A unique identifier for purchase events across devices, including subscription-renewal events. This value is the primary key for identifying subscription purchases.
    // String webOrderLineItemId (default value: null)
    test('to test the property `webOrderLineItemId`', () async {
      // TODO
    });


  });

}
